Consider building unversioned linux-doc package

Bug #382115 reported by Matt Zimmerman on 2009-05-31
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Wishlist
Tim Gardner
Karmic
Wishlist
Tim Gardner
linux-meta (Ubuntu)
Wishlist
Tim Gardner
Karmic
Wishlist
Tim Gardner

Bug Description

Currently, the linux source package builds linux-doc-xx.yy.zz, and linux-meta builds linux-doc which Depends: linux-doc-xx.yy.zz. I suggest that this be changed, such that linux-doc-xx.yy.zz be renamed to linux-doc, and be provided by the latest version of the linux source package.

This would be much simpler, eliminating the need for a metapackage and a new binary package with each major kernel version. Instead, there would just be a "linux-doc" package which contained the documentation for the current version of the linux source package. This would also incidentally fix long-standing bug 247517, which causes linux-doc to be routinely held back by APT during kernel upgrades.

Unlike linux-image packages, there is rarely any need to install older versions of the documentation, and if needed, the older docs are easily available on the web.

ProblemType: Bug
Architecture: amd64
Date: Sun May 31 11:11:04 2009
DistroRelease: Ubuntu 9.10
HibernationDevice: RESUME=UUID=bc555036-0252-42e8-804b-b34dc22bbcd4
MachineType: LENOVO 6465CTO
Package: linux-image-2.6.30-6-generic 2.6.30-6.7
ProcCmdLine: root=UUID=305dde78-d20a-4248-aaf4-09447b7c5791 ro quiet splash
ProcEnviron:
 LC_COLLATE=C
 PATH=(custom, user)
 LANG=en_US.UTF-8
 SHELL=/bin/zsh
ProcVersionSignature: Ubuntu 2.6.30-6.7-generic
RelatedPackageVersions:

SourcePackage: linux
Uname: Linux 2.6.30-6-generic x86_64
dmi.bios.date: 01/21/2008
dmi.bios.vendor: LENOVO
dmi.bios.version: 7LETB0WW (2.10 )
dmi.board.name: 6465CTO
dmi.board.vendor: LENOVO
dmi.board.version: Not Available
dmi.chassis.asset.tag: No Asset Information
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: Not Available
dmi.modalias: dmi:bvnLENOVO:bvr7LETB0WW(2.10):bd01/21/2008:svnLENOVO:pn6465CTO:pvrThinkPadT61:rvnLENOVO:rn6465CTO:rvrNotAvailable:cvnLENOVO:ct10:cvrNotAvailable:
dmi.product.name: 6465CTO
dmi.product.version: ThinkPad T61
dmi.sys.vendor: LENOVO

Related branches

Matt Zimmerman (mdz) wrote :
Changed in linux (Ubuntu):
assignee: nobody → Canonical Kernel Team (canonical-kernel-team)
importance: Undecided → Wishlist
status: New → Triaged
Matt Zimmerman (mdz) wrote :
Matt Zimmerman (mdz) wrote :
Tim Gardner (timg-tpi) on 2009-06-19
Changed in linux (Ubuntu Karmic):
assignee: Canonical Kernel Team (canonical-kernel-team) → Tim Gardner (timg-tpi)
status: Triaged → Fix Committed
Changed in linux-meta (Ubuntu Karmic):
assignee: nobody → Tim Gardner (timg-tpi)
importance: Undecided → Wishlist
milestone: none → karmic-alpha-3
status: New → Fix Committed
Changed in linux (Ubuntu Karmic):
milestone: none → karmic-alpha-3
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 2.6.30-10.11

---------------
linux (2.6.30-10.11) karmic; urgency=low

  [ Amit Kucheria ]

  * [Config] Comment splitconfig.pl and misc cleanup
  * [Config] Rename all configs to the new naming scheme
  * [Config] Splitconfig rework
  * [Config] Rename scripts/misc/oldconfig to kernelconfig
  * [Config] Fix build system for new config split
  * [Config] Run updateconfigs after the splitconfig rework

  [ Andy Whitcroft ]

  * Revert "SAUCE: Default to i915.modeset=0 if CONFIG_DRM_I915_KMS=y"
  * [Config] standardise CONFIG_STAGING=y
  * [Config] standardise CONFIG_RD_LZMA=y
  * [Config] CONFIG_PCI_IOV=y
  * [Config] CONFIG_PCI_STUB=m
  * [Config] merge kernel configs more agressively

  [ Colin Watson ]

  * [Config] Run kernel-wedge in $(builddir) rather than at the top level
  * [Config] Add support for including firmware in udebs
  * [Config] Ship bnx2 firmware in nic-modules udeb
    - LP: #384861

  [ Luke Yelavich ]

  * [Config] ports - Import of ports architectures into kernel packaging
    infrastructure
  * [Config] ports - Do not update ports kernel configurations by default
  * [Config] ports - Disable ABI checking for ports architectures
  * [Config] ports - Build drivers in ubuntu sub-directory on powerpc
  * [Config] ports - Add control.d/vars.* files for ports architectures
  * [Config] ports - Add ports architectures for linux-libc-dev
  * [Config] ports - Create powerpc specific message-modules and
    block-modules udebs
  * [Config] ports - Add configuration files for ports architectures

  [ Manoj Iyer ]

  * [Config] Enable CONFIG_BLK_DEV_AEC62XX=m for amd64 and i386
    - LP: #329864

  [ Michael Casadevall ]

  * [Config] ports - Fix compression of kernels

  [ Stefan Bader ]

  * [Upstream] mmc: prevent dangling block device from accessing stale
    queues
    - LP: #383668

  [ Tim Gardner ]

  * [Config] Recommend grub-pc in linux-image
    - LP: #385741
  * [Config] Implement i386 generic and generic-pae flavours
  * [Config] ports - Add control info after integrating ports arches
  * [Config] Removed auto-generated files from git
  * [Config] Added netxen_nic to nic-modules
    - LP: #389603

  [ Matt Zimmerman ]

  * Rename linux-doc-PKGVER to linux-doc and clean up its description
    - LP: #382115

 -- Tim Gardner <email address hidden> Mon, 15 Jun 2009 14:38:26 -0600

Changed in linux (Ubuntu Karmic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-meta - 2.6.30.9.9

---------------
linux-meta (2.6.30.9.9) karmic; urgency=low

  [Matt Zimmerman]

  * Remove linux-doc in preparation for non-ABI dependent package name.
    -LP: #382115

 -- Tim Gardner <email address hidden> Mon, 22 Jun 2009 08:46:53 -0600

Changed in linux-meta (Ubuntu Karmic):
status: Fix Committed → Fix Released
Tim Gardner (timg-tpi) wrote :

Patch reverted until after the linux-meta package linux-doc is reaped which should avoid future package name/version conflicts.

Changed in linux (Ubuntu Karmic):
status: Fix Released → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 2.6.30-10.12

---------------
linux (2.6.30-10.12) karmic; urgency=low

  [ Andy Whitcroft ]

  * [Config] split out the ports configs into their own family
  * [Config] update configs following introduction of ports family

  [ Upstream Kernel Changes ]

  * Revert "Rename linux-doc-PKGVER to linux-doc and clean up its
    description". Fixes linux-doc package name conflicts for now.
    - LP: #382115

 -- Tim Gardner <email address hidden> Mon, 22 Jun 2009 09:17:14 -0600

Changed in linux (Ubuntu Karmic):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers